<template>
    <form>
        <input v-model="promo.specialisation" type="text" placeholder="specialisation">
        <input v-model="promo.label" type="text" placeholder="label">
        <button v-on:click="addPromo()">Add Promo</button>
    </form>
</template>

<script>
export default {
    data() {
        return {
            promo: {
                specialisation: "",
                label: ""
            }
        }
    },
    methods: {
        addPromo() {
            this.$store.dispatch("addpromo", this.promo)
        }
    }
}
</script>

<style>
</style>
